#########################################################################
# xmmucl - Mark's MUd Client using a console for output.
#
# Copyright (C) 1997-1998 Mark Patton
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#################################################################

# Make the package mechanism look in the right place
set auto_path [linsert $auto_path 0 $env(MMUCL_DIR)]

package require mmucl
package require mmuclGui

# initialization
mmucl::guiInit

# callbacks for display
proc mmucl::display {str} {    
    puts -nonewline stdout $str
    flush stdout
}

# Toolbar.
mmucl::toolbar .toolbar

menubutton .toolbar.options -menu .toolbar.options.m -text Options
mmucl::optionMenu .toolbar.options.m

button .toolbar.help -image help.gif -command {mmucl::MChelp contents}
balloon_add .toolbar.help "Help"
button .toolbar.quit -image quit.gif -command \
    {tk_dialogBox mmucl::MCexit yes -type yesno -message "Really quit?"}  
balloon_add .toolbar.quit "Quit"

pack  .toolbar.options -padx 3 -side left
pack .toolbar.quit .toolbar.help -side right

# Entry for input
mmucl::userEntry .mmucl_input

pack .toolbar -side top -fill x
pack .mmucl_input -side top -fill x
wm resizable . 1 0
wm title . Xmmucl

# Accept input from the console.
fconfigure stdin -blocking 0 -buffering line
fileevent stdin readable {
    mmucl::MCparse [gets stdin]
    if {[eof stdin]} {mmucl::MCexit}
}

focus .mmucl_input
mmucl::init $argv
